java.lang.UnsatisfiedLinkError

no >> >>>> gplcompression in java.library.path at >> >>>> java.lang.ClassLoader.loadLibrary(ClassLoader.java:1864) >> >>>> ~[na:1.8.0_60] at >> >>>> java.lang.Runtime.loadLibrary0(Runtime.java:870) ~[na:1.8.0_60] at >> >>>> java.lang.System.loadLibrary(System.java:1122) ~[na:1.8.0_60] at >> >>>> >> >>>> com.hadoop.compression.lzo.GPLNativeCodeLoader.<clinit>(GPLNativeCodeLoader.java:32) >> >>>> ~[hadoop-lzo-0.4.15-cdh5.5.2.jar:na] at >> >>>> com.hadoop.compression.lzo.LzoCodec.<clinit>(LzoCodec.java:71) >> >>>> [hadoop-lzo-0.4.15-cdh5.5.2.jar:na] at >> >>>> java.lang.Class.forName0(Native

Samebug tips0

We couldn't find tips for this exception.

Don't give up yet. Paste your full stack trace to get a solution.

Solutions on the web68

  • via Unknown by Vamsi Sudhir,
  • via Stack Overflow by user1548065
    ,
  • Stack trace

    • java.lang.UnsatisfiedLinkError: no >> >>>> gplcompression in java.library.path at >> >>>> java.lang.ClassLoader.loadLibrary(ClassLoader.java:1864) >> >>>> ~[na:1.8.0_60] at >> >>>> java.lang.Runtime.loadLibrary0(Runtime.java:870) ~[na:1.8.0_60] at >> >>>> java.lang.System.loadLibrary(System.java:1122) ~[na:1.8.0_60] at >> >>>> >> >>>> com.hadoop.compression.lzo.GPLNativeCodeLoader.<clinit>(GPLNativeCodeLoader.java:32) >> >>>> ~[hadoop-lzo-0.4.15-cdh5.5.2.jar:na] at >> >>>> com.hadoop.compression.lzo.LzoCodec.<clinit>(LzoCodec.java:71) >> >>>> [hadoop-lzo-0.4.15-cdh5.5.2.jar:na] at >> >>>> java.lang.Class.forName0(Native at java.lang.Class.forName(Class.java:348)

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    winer222winer222
    7 times, last one